# Class TCustomDevToolsMessageObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDevToolsMessageObserver

## Declaration

`type TCustomDevToolsMessageObserver = class(TCEFDevToolsMessageObserverOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCEFDevToolsMessageObserverOwn
- TCustomDevToolsMessageObserver

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); override;`
| `procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); override;`
| `procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); override;`
| `procedure OnDevToolsAgentAttached(const browser: ICefBrowser); override;`
| `procedure OnDevToolsAgentDetached(const browser: ICefBrowser); override;`
| `constructor Create(const events: IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); override;`
This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMessage. Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event. |message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate. Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

| `procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); override;`
This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMethodResult. Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance. |message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

| `procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); override;`
This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsEvent. Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

| `procedure OnDevToolsAgentAttached(const browser: ICefBrowser); override;`
This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentAttached. Method that will be called when the DevTools agent has attached. |browser| is the originating browser instance. This will generally occur in response to the first message sent while the agent is detached.

| `procedure OnDevToolsAgentDetached(const browser: ICefBrowser); override;`
This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentDetached. Method that will be called when the DevTools agent has detached. |browser| is the originating browser instance. Any function results that were pending before the agent became detached will not be delivered, and any active event subscriptions will be canceled.

| `constructor Create(const events: IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.